Subject: Re.: Our meeting

From: "Denny" <[email-masked]>
Date: Fri, 30 Mar 2007 12:52:14 +0800

Hai,
Hope I am not writing to wrong address. I amb nice, pretty looking
girbl. I am planning on visiting your town tbhis month. Can 
we meet each other in person? Message me back at [email-masked]